Click or drag to resize

GeometryDecoderToPolyCurve Method (CurveLoop)

Converts the specified CurveLoop to an equivalent Rhino PolyCurve.

Namespace:  RhinoInside.Revit.Convert.Geometry
Assembly:  RhinoInside.Revit (in RhinoInside.Revit.dll) Version: 1.7.8130
Syntax
public static Rhino.Geometry.PolyCurve ToPolyCurve(
	this Autodesk.Revit.DB.CurveLoop value
)

Parameters

value
Type: Autodesk.Revit.DB.CurveLoop
A value to convert.

Return Value

Type: Rhino.Geometry.PolyCurve
A Rhino PolyCurve that is equivalent to the provided value.

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type Autodesk.Revit.DB.CurveLoop. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
See Also